﻿using Kivii.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.Finances.Entities
{
    [Api(Description = "发票抬头")]
    [Alias(Configs.TableNameInvoiceTitle)]
    public class InvoiceTitle : EntityWithMetadata, IEntityInAssemblyDb
    {
        [ApiMember(Description = "公司名称")]
        [StringLength(200), Required, Unique]
        public string CompanyName { get; set; }

        [ApiMember(Description = "税号")]
        [StringLength(100), Default("")]
        public string TaxNumber { get; set; }

        [ApiMember(Description = "公司地址")]
        [StringLength(200), Default("")]
        public string CompanyAddress { get; set; }

        [ApiMember(Description = "电话号码")]
        [StringLength(100), Default("")]
        public string Phone { get; set; }

        [ApiMember(Description = "开户银行")]
        [StringLength(200)]
        public string BankName { get; set; }

        [ApiMember(Description = "银行账户")]
        [StringLength(100), Default("")]
        public string BankAccount { get; set; }

    }
}
